Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.example.com/health \ --header 'Content-Type: application/json' \ --data ' { "method": "health", "params": null, "id": "dontcare", "jsonrpc": "2.0" } '
const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({method: 'health', params: null, id: 'dontcare', jsonrpc: '2.0'}) }; fetch('https://api.example.com/health', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.example.com/health" payload = { "method": "health", "params": None, "id": "dontcare", "jsonrpc": "2.0" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.text)
{ "result": null, "id": "<string>", "jsonrpc": "<string>" }
Returns the current health status of the RPC node the client connects to.
health
null
JSON-RPC request id. Auto-populated; can be any string.
JSON-RPC protocol version. Always 2.0.
2.0
Was this page helpful?